﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace GridQustion
{
    public class User : INotifyPropertyChanged
	{
		private string _firstName = string.Empty;
		private string _lastName = string.Empty;		
		private string _description = string.Empty;

        public event PropertyChangedEventHandler PropertyChanged;

		public string FirstName
		{
			get { return _firstName; }
			set { _firstName = value;
            OnPropertyChanged(this, new PropertyChangedEventArgs("FirstName"));
        }
		}

		public string LastName
		{
			get { return _lastName; }
			set { _lastName = value;
            OnPropertyChanged(this, new PropertyChangedEventArgs("LastName"));
        }
		}

		public string Description
		{
			get { return _description; }
			set { _description = value;
            OnPropertyChanged(this, new PropertyChangedEventArgs("Description"));
        }
		}
        

		public User()
		{
		}

		public User(  string firstName,
            string lastName, string description)
		{
			_firstName = firstName;
			_lastName = lastName;			
			_description = description;        
		}

        protected void OnPropertyChanged(object sender, PropertyChangedEventArgs e)
        {
            if (PropertyChanged != null)
                PropertyChanged(sender, e);
        }
	}
}

